<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;
use Gedmo\Mapping\Annotation as Gedmo;

trait ProductPropertyTrait
{



        /**
         * @ORM\Column(type="float", nullable=true)
         */
        protected $price;

        /**
         * @ORM\Column(type="float", nullable=true)
         */
        protected $buyingPrice;

        /**
         * @ORM\Column(type="string", length=31, nullable=true)
         */
        protected $unit;

        /**
         * @ORM\Column(type="float", nullable=true)
         */
        protected $quantity;

        /**
         * @ORM\Column(type="float", nullable=true)
         */
        protected $availableQuantity;


        /**
         * @ORM\Column(type="float", nullable=true)
         */
        protected $availableQuantityDefault;


        /**
         * @ORM\Column(type="date", nullable=true)
         */
        protected $expirationDate;

        public function getUnit(): ?string
        {
                return $this->unit;
        }

        public function setUnit(?string $unit): self
        {
                $this->unit = $unit;

                return $this;
        }

        public function getPrice(): ?float
        {
                return $this->price;
        }

        public function setPrice(?float $price): self
        {
                $this->price = $price;

                return $this;
        }

        public function getBuyingPrice(): ?float
        {
                return $this->buyingPrice;
        }

        public function setBuyingPrice(?float $buyingPrice): self
        {
                $this->buyingPrice = $buyingPrice;

                return $this;
        }

        public function getQuantity(): ?float
        {
                return $this->quantity;
        }

        public function setQuantity(?float $quantity): self
        {
                $this->quantity = $quantity;

                return $this;
        }


        public function getAvailableQuantity(): ?float
        {
                return $this->availableQuantity;
        }

        public function setAvailableQuantity(?float $availableQuantity): self
        {
                $this->availableQuantity = $availableQuantity;

                return $this;
        }


        public function getAvailableQuantityDefault(): ?float
        {
                return $this->availableQuantityDefault;
        }

        public function setAvailableQuantityDefault(?float $availableQuantityDefault): self
        {
                $this->availableQuantityDefault = $availableQuantityDefault;

                return $this;
        }

        public function getExpirationDate(): ?\DateTimeInterface
        {
                return $this->expirationDate;
        }

        public function setExpirationDate(?\DateTimeInterface $expirationDate): self
        {
                $this->expirationDate = $expirationDate;

                return $this;
        }


}